# Generated by `rjournal_pdf_article()` using `knitr::purl()`: do not edit by hand
# Please edit rahman.Rmd to modify this file

## ----setup, include=FALSE-----------------------------------------------------
library(bqror)
library(bayesplot)
library(tidyverse)
library(ggrepel)
library(ggplot2)
library(png)
library(plotly)
library(kableExtra)
library(palmerpenguins)


## ----quantregOR1, eval=FALSE, message = FALSE, warning = FALSE, include = TRUE----
#> library('bqror')
#> data("data25j4")
#> y <- data25j4$y
#> xMat <- data25j4$x
#> k <- dim(xMat)[2]
#> J <- dim(as.array(unique(y)))[1]
#> b0 <- array(rep(0, k), dim = c(k, 1))
#> B0 <- 10*diag(k)
#> d0 <- array(0, dim = c(J-2, 1))
#> D0 <- 0.25*diag(J - 2)
#> modelORI <- quantregOR1(y = y, x = xMat, b0, B0, d0, D0, burn = 1125,
#>                         mcmc = 4500, p = 0.25, tune = 1, accutoff = 0.5,
#>                         verbose = TRUE)
#> 
#> [1] Summary of MCMC draws:
#> 
#>         Post Mean Post Std Upper Credible Lower Credible  Inef Factor
#> beta_1    -3.6434   0.4293        -2.8369        -4.5073       2.3272
#> beta_2     4.8283   0.5597         5.9577         3.7624       2.4529
#> beta_3     5.9929   0.5996         7.2474         4.8819       2.7491
#> delta_1    0.7152   0.1110         0.9616         0.5004       3.2261
#> delta_2    0.7456   0.0940         0.9281         0.5543       2.1497
#> 
#> [1] MH acceptance rate: 31.82%
#> [1] Log of Marginal Likelihood: -545.72
#> [1] DIC: 1060.56


## ----quantregOR2, eval=FALSE, message = FALSE, warning = FALSE, include = TRUE----
#> library('bqror')
#> data("data25j3")
#> y <- data25j3$y
#> xMat <- data25j3$x
#> k <- dim(xMat)[2]
#> b0 <- array(rep(0, k), dim = c(k, 1))
#> B0 <- 10*diag(k)
#> n0 <- 5
#> d0 <- 8
#> modelORII <- quantregOR2(y = y, x = xMat, b0, B0, n0, d0, gammacp2 = 3,
#>                          burn = 1125, mcmc = 4500, p = 0.25, accutoff = 0.5,
#>                          verbose = TRUE)
#> 
#> [1] Summary of MCMC draws:
#> 
#>        Post Mean Post Std Upper Credible Lower Credible  Inef Factor
#> beta_1   -3.8900   0.4560        -3.0578        -4.8346       2.4784
#> beta_2    5.8257   0.5341         6.9263         4.8243       2.1231
#> beta_3    4.7194   0.5227         5.7502         3.7194       2.2693
#> sigma     0.8968   0.0763         1.0587         0.7626       2.4079
#> 
#> [1] Log of Marginal Likelihood: -404.34
#> [1] DIC: 790.72


## ----EducFreqDist-tab-interactive, eval = knitr::is_html_output(), echo=FALSE, fig.align='center', fig.alt="Bar chart showing the different categories of educational attainment. The number of responses (percentage) for each category are shown inside (at the top) of each bar.", fig.cap="Bar chart showing the different categories of educational attainment. The number of responses (percentage) for each category are shown inside (at the top) of each bar.", out.width = '55%', out.height = '24%'----
#> knitr::include_graphics("EducFreqDist.png")


## ----EducFreqDist-tab-static, eval = knitr::is_latex_output(), echo=FALSE, fig.align='center', fig.alt="Bar chart showing the different categories of educational attainment. The number of responses (percentage) for each category are shown inside (at the top) of each bar.", fig.cap="Bar chart showing the different categories of educational attainment. The number of responses (percentage) for each category are shown inside (at the top) of each bar.", out.width = '55%', out.height = '24%'----
knitr::include_graphics("EducFreqDist.pdf")


## ----EducAtt, eval=FALSE, message = FALSE, warning = FALSE, include = TRUE----
#> library('bqror')
#> data("Educational_Attainment")
#> data <- na.omit(Educational_Attainment)
#> data$fam_income_sqrt <- sqrt(data$fam_income)
#> cols <- c("mother_work","urban","south", "father_educ","mother_educ",
#>           "fam_income_sqrt","female", "black","age_cohort_2","age_cohort_3",
#>           "age_cohort_4")
#> x <- data[cols]
#> x$intercept <- 1
#> xMat <- x[,c(12,6,5,4,1,7,8,2,3,9,10,11)]
#> yOrd <- data$dep_edu_level
#> k <- dim(xMat)[2]
#> J <- dim(as.array(unique(yOrd)))[1]
#> b0 <- array(rep(0, k), dim = c(k, 1))
#> B0 <- 1*diag(k)
#> d0 <- array(0, dim = c(J-2, 1))
#> D0 <- 0.25*diag(J - 2)
#> p <- 0.5
#> 
#> EducAtt <- quantregOR1(y = yOrd, x = xMat, b0, B0, d0, D0, burn = 1125,
#>                        mcmc = 4500, p, tune=1, accutoff = 0.5, TRUE)
#> 
#> [1] Summary of MCMC draws:
#> 
#>                 Post Mean Post Std Upper Credible Lower Credible  Inef Factor
#> intercept         -3.2546   0.2175        -2.8350        -3.6798       2.3143
#> fam_income_sqrt    0.2788   0.0230         0.3254         0.2337       2.1396
#> mother_educ        0.1242   0.0190         0.1619         0.0878       1.9499
#> father_educ        0.1866   0.0154         0.2165         0.1578       2.3062
#> mother_work        0.0664   0.0821         0.2287        -0.0930       1.9349
#> female             0.3492   0.0786         0.5070         0.2022       1.9086
#> black              0.4413   0.0997         0.6400         0.2506       1.9270
#> urban             -0.0777   0.0971         0.1104        -0.2712       1.9019
#> south              0.0842   0.0880         0.2529        -0.0895       1.9153
#> age_cohort_2      -0.0345   0.1192         0.1963        -0.2660       1.7502
#> age_cohort_3      -0.0426   0.1223         0.2033        -0.2849       1.9053
#> age_cohort_4       0.4938   0.1212         0.7256         0.2570       1.7512
#> delta_1            0.8988   0.0276         0.9534         0.8461       4.6186
#> delta_2            0.5481   0.0313         0.6146         0.4890       3.6003
#> 
#> [1] MH acceptance rate: 26.8%
#> [1] Log of Marginal Likelihood: -4923.48
#> [1] DIC: 9781.91


## ----EducTraceCode, eval=FALSE, message=FALSE, warning=FALSE, include=TRUE----
#> mcmc <- 4500
#> burn <- round(0.25*mcmc)
#> nsim <- mcmc + burn
#> mcmcDraws <- cbind(t(EducAtt$betadraws), t(EducAtt$deltadraws))
#> color_scheme_set('darkgray')
#> bayesplot_theme_set(theme_minimal())
#> mcmc_trace(mcmcDraws[(burn+1):nsim, ], facet_args = list(ncol = 3))


## ----EducTracePlot-tab-interactive, eval = knitr::is_html_output(), echo=FALSE, fig.align='center', fig.alt="Trace plots of the MCMC draws in the educational attainment study.", fig.cap="Trace plots of the MCMC draws in the educational attainment study.", out.height='50%', out.width='100%'----
#> knitr::include_graphics("EducTracePlot.png")


## ----EducTracePlot-tab-static, eval = knitr::is_latex_output(), echo=FALSE, fig.align='center', fig.alt="Trace plots of the MCMC draws in the educational attainment study.", fig.cap="Trace plots of the MCMC draws in the educational attainment study.", out.height='50%', out.width='100%'----
knitr::include_graphics("EducTracePlot.pdf")


## ----covEffectOR1, eval=FALSE, message = FALSE, warning = FALSE, include = TRUE----
#> xMat1 <- xMat
#> xMat2 <- xMat
#> xMat2$fam_income_sqrt <- sqrt((xMat1$fam_income_sqrt)^2 + 10)
#> EducAttCE <- covEffectOR1(EducAtt, yOrd, xMat1, xMat2, p = 0.5, verbose = TRUE)
#> 
#> [1] Summary of Covariate Effect:
#> 
#>             Covariate Effect
#> Category_1          -0.0314
#> Category_2          -0.0129
#> Category_3           0.0193
#> Category_4           0.0250


## ----TaxFreqDist-tab-interactive, eval = knitr::is_html_output(), echo=FALSE, fig.pos="b", fig.align='center', fig.alt="Bar chart for public opinion on tax increase. The number of responses (percentage) for each category are shown inside (at the top) of each bar.", fig.cap="Bar chart for public opinion on tax increase. The number of responses (percentage) for each category are shown inside (at the top) of each bar.", out.height='23%', out.width='50%'----
#> knitr::include_graphics("TaxFreqDist.png")


## ----TaxFreqDist-tab-static, eval = knitr::is_latex_output(), echo=FALSE, fig.pos="b", fig.align='center', fig.alt="Bar chart for public opinion on tax increase. The number of responses (percentage) for each category are shown inside (at the top) of each bar.", fig.cap="Bar chart for public opinion on tax increase. The number of responses (percentage) for each category are shown inside (at the top) of each bar.", out.height='23%', out.width='40%'----
knitr::include_graphics("TaxFreqDist.pdf")


## ----FedTax, eval=FALSE, message = FALSE, warning = FALSE, include = TRUE-----
#> library(bqror)
#> data("Policy_Opinion")
#> data <- na.omit(Policy_Opinion)
#> cols <- c("Intercept","EmpCat","IncomeCat","Bachelors","Post.Bachelors",
#>           "Computers","CellPhone", "White")
#> x <- data[cols]
#> xMat <- x[,c(1,2,3,4,5,6,7,8)]
#> yOrd <- data$y
#> k <- dim(x)[2]
#> b0 <- array(rep(0, k), dim = c(k, 1))
#> B0 = 1*diag(k)
#> n0 <- 5
#> d0 <- 8
#> FedTax <- quantregOR2(y = yOrd, x = xMat, b0, B0, n0, d0, gammacp2 = 3,
#>                       burn = 1125, mcmc = 4500, p = 0.5, accutoff = 0.5, TRUE)
#> 
#> [1] Summary of MCMC draws :
#> 
#>                Post Mean Post Std Upper Credible Lower Credible  Inef Factor
#> Intercept         2.0142   0.4553         2.9071         1.0959       1.4473
#> EmpCat            0.2496   0.2953         0.8294        -0.3270       1.6760
#> IncomeCat        -0.5083   0.3323         0.1329        -1.1580       1.6700
#> Bachelors         0.0809   0.3744         0.8569        -0.6324       1.6726
#> Post.Bachelors    0.5082   0.4406         1.3964        -0.3435       1.5053
#> Computers         0.7167   0.3509         1.4078         0.0219       1.4975
#> CellPhone         0.8464   0.4027         1.6191         0.0444       1.4524
#> White             0.0627   0.3659         0.7579        -0.6502       1.4931
#> sigma             2.2205   0.1442         2.5300         1.9552       2.3161
#> 
#> [1] Log of Marginal Likelihood: -1174.11
#> [1] DIC: 2334.58


## ----TaxTraceCode, eval=FALSE, message = FALSE, warning = FALSE, include = TRUE----
#> mcmc <- 500
#> burn <- round(0.25*mcmc)
#> nsim <- mcmc + burn
#> mcmcDraws <- cbind(t(FedTax$betadraws), t(FedTax$sigmadraws))
#> color_scheme_set('darkgray')
#> bayesplot_theme_set(theme_minimal())
#> mcmc_trace(mcmcDraws[(burn+1):nsim, ], facet_args = list(ncol = 3))


## ----TaxTracePlot-tab-interactive, eval = knitr::is_html_output(), echo=FALSE, fig.align='center', fig.alt="Trace plots of the MCMC draws in the tax policy study.", fig.cap="Trace plots of the MCMC draws in the tax policy study.", out.height='40%', out.width='100%'----
#> knitr::include_graphics("TaxTracePlot.png")


## ----TaxTracePlot-tab-static, eval = knitr::is_latex_output(), echo=FALSE, fig.align='center', fig.alt="Trace plots of the MCMC draws in the tax policy study.", fig.cap="Trace plots of the MCMC draws in the tax policy study.", out.height='40%', out.width='100%'----
knitr::include_graphics("TaxTracePlot.pdf")


## ----covEffectOR2, eval=FALSE, message = FALSE, warning = FALSE, include = TRUE----
#> xMat1 <- xMat
#> xMat1$Computers <- 0
#> xMat2 <- xMat
#> xMat2$Computers <- 1
#> FedTaxCE <- covEffectOR2(FedTax, yOrd, xMat1, xMat2, gammacp2 = 3, p = 0.5,
#>                          verbose = TRUE)
#> 
#> [1] Summary of Covariate Effect:
#> 
#>             Covariate Effect
#> Category_1          -0.0396
#> Category_2          -0.0331
#> Category_3           0.0726

